"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRedirect = getRedirect;
exports.default = void 0;
var DUMMY_DOMAIN = 'http://mwp-dummy-domain.com';

function getRedirect(context) {
  if (!context || !context.url) {
    return;
  } // use `URL` to ensure valid character encoding (e.g. escaped emoji)


  var url = context.url;
  var isFragment = url.startsWith('/');
  var urlToFormat = isFragment ? "".concat(DUMMY_DOMAIN).concat(url) : url;
  var formattedUrl = new URL(urlToFormat).toString();
  return {
    redirect: {
      url: formattedUrl.replace(DUMMY_DOMAIN, ''),
      permanent: context.permanent
    }
  };
}

var _default = getRedirect;
exports.default = _default;
//# sourceMappingURL=getRedirect.js.map