"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _getRedirect = _interopRequireDefault(require("./getRedirect"));

describe('getRedirect', function () {
  test('does nothing if url is empty', function () {
    expect((0, _getRedirect.default)({})).toBeUndefined();
    expect((0, _getRedirect.default)({
      url: undefined
    })).toBeUndefined();
    expect((0, _getRedirect.default)({
      url: ''
    })).toBeUndefined();
  });
  test('escapes UTF-8', function () {
    var path = '/驚くばかり';
    expect((0, _getRedirect.default)({
      url: "http://www.meetup.com".concat(path)
    }).redirect.url).toMatchInlineSnapshot("\"http://www.meetup.com/%E9%A9%9A%E3%81%8F%E3%81%B0%E3%81%8B%E3%82%8A\"");
    expect((0, _getRedirect.default)({
      url: path
    }).redirect.url).toMatchInlineSnapshot("\"/%E9%A9%9A%E3%81%8F%E3%81%B0%E3%81%8B%E3%82%8A\"");
  });
  test('does not modify escaped emoji', function () {
    var path = '/%E9%A9%9A%E3%81%8F%E3%81%B0%E3%81%8B%E3%82%8A';
    expect((0, _getRedirect.default)({
      url: path
    }).redirect.url).toBe(path);
  });
  test('does not modify escaped ampersands', function () {
    var path = '/?foo=bar%26baz';
    expect((0, _getRedirect.default)({
      url: path
    }).redirect.url).toBe(path);
  });
});
//# sourceMappingURL=getRedirect.test.js.map